Subject: [secdir] secdir review of draft-ietf-tcpm-tcpmss-04

From: Klaas Wierenga <[email-masked]>
Date: Wed, 30 May 2012 17:05:21 +0200

Hi,

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

General comments:
==================

This is a short, clear and to the point draft. I have only a few
general comments

1 (introduction)
- ----------------

- - Please expand MSS on first use

- - "(see appendix A)" and "but there still seems to be some confusion"

This sounds pretty vague to me. I thought Appendix A would be a
verbatim copy of the text from 1122, but it is much more, and I
appreciated the discussion. I propose to make that explicit:

"RFC1122 clarified the MSS option, but confusion remains as discussed
in Appendix A"

Security Considerations:
========================
I don't really think what you have written down here qualifies as
security considerations. It sort of hints to a denial-of-service, but
I don't see any evil, just an operational problem. What I wonder about
(but I am not knowledgable to judge) is whether wrong MSS size
settings could be exploited for for example buffer overflow attacks.

Cheers,

Klaas

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Wed, 30 May 2012 19:39:51 +0200

Hi David,

On 30 mei 2012, at 19:29, "David Borman" <[email-masked]> wrote:

> Klass,
> 
> Thanks for the review.
> 
> On May 30, 2012, at 10:05 AM, Klaas Wierenga wrote:
> 
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>> 
>> Hi,
>> 
> Agreed.
> I've changed it to:
>   RFC 1122 [RFC1122] clarified the MSS
>   option, which is discussed in Appendix A, but there still seems to be
>   some confusion.

Ah, I thought you had listed all confusion in appendix A. Since that does not seem to be the case, can you say anything about the nature of the remaining confusion?

>> I don't see any evil, just an operational problem.
> 
> Another review said more or less the same thing..

Great minds..... ;-)

>> What I wonder about
> There shouldn't be any problem.  The MSS is just an upper bound
> for the size of packets that can be reassembled by the receiving
> hosts; in theory most IPv4 hosts should be using 65535 because they
> don't have a fixed limit, and then just let Path MTU discovery sort
> it out.  In practice, though, the MSS is used as an upper bound for what
> size of packet can be received without the need for fragmentation,
> avoiding PMTU from probing for larger sizes that will never succeed.
> 
> I don't have a strong opinion about the current content of the
> Security Considerations section.  My leaning is to just leave it
> as is, but I'd be fine with moving the content up to section 5.4
> as an "Additional Consideration", and then have section 6, "Security
> Considerations" just have a comment that there are no security
> considerations, if folks generally feel that would be better.

I don't feel comfortable with a security consideration that isn't, so I would lean towards your alternative proposal.

Thanks for the fast response!

Klaas

> 
>        -David Borman
> 
>> 
>> 
>> Cheers,
>> 
>> Klaas
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG/MacGPG2 v2.0.17 (Darwin)
>> Comment: GPGTools - http://gpgtools.org
>> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>> 
>> iEYEARECAAYFAk/GNzAACgkQH2Wy/p4XeFJQrACdEZggKbo9y+3p3W35N7FBzpho
>> izcAoIl1J9o04ymIXyYmEZP+IiHRH18I
>> =aIb0
>> -----END PGP SIGNATURE-----
> 
> ----------------------------------------------------------------------
> The information contained in this transmission may be confidential. Any disclosure, copying, or further distribution of confidential information is not permitted unless such privilege is explicitly granted in writing by Quantum. Quantum reserves the right to have electronic communications, including email and attachments, sent across its networks filtered through anti virus and spam software programs and retain such messages in order to comply with applicable data security and retention requirements. Quantum is not responsible for the proper and complete transmission of the substance of this communication or for any delay in its receipt.

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Wed, 30 May 2012 20:50:41 +0200

David,

Your suggestion looks fine to me!

Klaas

Sent from my iPad

On 30 mei 2012, at 20:20, "David Borman" <[email-masked]> wrote:

> Klaas,
> 
> On May 30, 2012, at 12:39 PM, Klaas Wierenga (kwiereng) wrote:
> ...
> How about:
>    RFC 1122 [RFC1122] clarified the MSS option, which is discussed in
>    Appendix A, but because it didn't explicitly state how options
>    should be handled, there still seems to be some confusion.
> 
>>>> Security Considerations:
>>>> ========================
> Ok, I'll move the content to section 5, and leave "Security Considerations"
> empty, unless someone else objects to making that change.
> 
>            -David Borman
>

---

From: David Borman <[email-masked]>
Date: Wed, 30 May 2012 17:29:13 +0000

Klass,

Thanks for the review.

Agreed.

I've changed it to:

 
		-David Borman

---

From: David Borman <[email-masked]>
Date: Wed, 30 May 2012 18:20:10 +0000

Klaas,

...

How about:

			-David Borman

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 30 May 2012 22:47:42 +0200

> >> Security Considerations section.  My leaning is to just 
> leave it as 
> >> is, but I'd be fine with moving the content up to section 
> 5.4 as an 
> >> "Additional Consideration", and then have section 6, "Security 
> > I don't feel comfortable with a security consideration that 
> isn't, so I would lean towards your alternative proposal.
> 

Instead of an empty security considerations section, you could also add a sentence explaining that the document just clarifies what is mandated by RFC 1122, and that it thus does not result in new security issues.

According to the working group discussions and the WGLC feedback, TCPM is apparently not aware of any security issues with this draft, and I think that TCPM would be fine with mentioning this more explicitly.

Just a thought...

Michael (as document shepard)